#ifndef INCLUDED_VIEWER_SDL
#define INCLUDED_VIEWER_SDL

#include "ViewerDevice.h"

class ViewerSDL : public ViewerDevice {
public:
    ViewerSDL(TaskManager* manager) {};
    ViewerSDL();
    virtual ~ViewerSDL();

    SDL_Surface *screen;
    SDL_Surface *bitmap;

    /* override function */
    Uint32 *video_init(TaskManager *manager, int bpp, int width, int height);
    void clean_pixels();
    void clear_screen();
    void free_device();
    uint32_t* flip_screen(uint32_t *);

};

#endif
